.TH "ql-set-cmd-timeout" "8" "August 2008" "Matthias Schmitz <matthias@sigxcpu.org>" "System Administration"
.SH "NAME"
ql\-set\-cmd\-timeout \- set the timeout on the devices connected to the QLogic FC HBA.
.SH "SYNOPSIS"
.B ql\-set\-cmd\-timeout
[\fIOPTIONS\fR]
.SH "DESCRIPTION"
QLogic Linux Set Device Timeout Utility

This utility allows you to set the timeout on the devices connected to
the QLogic FC HBA.
This timeout value applies to the commands sent to the device. This
can help when target devices take longer to execute a command, for
example under heavy I/O. Setting a longer timeout reduces the chance
of the Linux SCSI mid\-layer driver aborting the tasks after a timeout.
.IP 
[DEFAULT]
.IP 
Display timeout of devices connected to all HOSTs
.IP 
[HOST]
.IP 
Display timeout of devices connected to HOST
.IP 
[HOST] [TARGET]
.IP 
Display timeout of devices connected to a TARGET on HOST
.IP 
[HOST] [TARGET] [TIMEOUT]
.IP 
To set timeout on devices connected to a TARGET on HOST
.TP 
\fB\-h\fR,  \fB\-\-help\fR, ?
Prints this help message
.TP 
\fB\-i\fR,  \fB\-\-interactive\fR
Use this option to use the menu driven program
.SH "SEE ALSO"
ql\-dynamic\-tgt\-lun\-disc(8), ql\-lun\-state\-online(8), ql\-hba\-snapshot(8)

